File: Cargo.toml

package info (click to toggle)
rust-condure 1.1.0-3
  • links: PTS, VCS
  • area: main
  • in suites: bookworm
  • size: 832 kB
  • sloc: python: 267; makefile: 10
file content (79 lines) | stat: -rw-r--r-- 2,024 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "condure"
version = "1.1.0"
authors = ["Justin Karneges <justin@fanout.io>"]
description = "HTTP/WebSocket connection manager"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/fanout/condure"
[package.metadata.deb]
build-depends = "pkg-config, libzmq3-dev"
extended-description = "Condure is a service that manages network connections on behalf of server\napplications, in order to allow controlling the connections from multiple\nprocesses. Applications communicate with Condure over ZeroMQ.\n\nCondure can only manage connections for protocols it knows about. Currently\nthis is HTTP/1 and WebSockets.\n\nThe project was inspired by Mongrel2.\n"
separate-debug-symbols = true
autobins = false
[[bin]]
name = "condure"
[profile.dev]
panic = "abort"

[profile.release]
panic = "abort"

[[bench]]
name = "server"
harness = false
[dependencies.arrayvec]
version = "0.5"

[dependencies.base64]
version = ">= 0.12, < 0.14"

[dependencies.clap]
version = "2.33"
features = ["wrap_help"]

[dependencies.httparse]
version = "1.3"

[dependencies.iovec]
version = "0.1"

[dependencies.log]
version = "0.4"

[dependencies.mio]
version = "0.6"

[dependencies.openssl]
version = "0.10"

[dependencies.sha1]
version = "0.6"

[dependencies.signal-hook]
version = "0.1"
features = ["mio-support"]

[dependencies.slab]
version = "0.4"

[dependencies.time]
version = "0.1"

[dependencies.zmq]
version = "0.9"
[dev-dependencies.criterion]
version = "0.3"